# read String

Read the buffered serial data as a string.

```sig
serial.readString();
```

## Returns

* a [string](/types/string) containing input from the serial port. The string is empty if no data is available.

## See also #seealso

[write string](/reference/serial/write-string)

```package
serial
```